# SpotSceneRuleSet (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.spot.tools.xml
Class SpotSceneRuleSet

    java.lang.Object
      com.threerings.whirled.spot.tools.xml.SpotSceneRuleSet

All Implemented Interfaces:
  com.threerings.tools.xml.NestableRuleSet

    public abstract class SpotSceneRuleSet

extends Object
implements com.threerings.tools.xml.NestableRuleSet

Used to parse a `SpotSceneModel` from XML.

Constructor Summary
`SpotSceneRuleSet()`

Method Summary
`void` `addRuleInstances(String prefix, org.apache.commons.digester.Digester digester)`
`String` `getOuterElement()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpotSceneRuleSet

    public SpotSceneRuleSet()

Method Detail

### getOuterElement

    public String getOuterElement()

  Specified by:
    `getOuterElement` in interface `com.threerings.tools.xml.NestableRuleSet`

### addRuleInstances

    public void addRuleInstances(String prefix,
                                 org.apache.commons.digester.Digester digester)

  Specified by:
    `addRuleInstances` in interface `com.threerings.tools.xml.NestableRuleSet`

Copyright © 2011. All Rights Reserved.